<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="yu.org.goodoldai.air.wb.mdr.core"
   name="%pluginName"
   version="0.0.1"
   provider-name="%providerName"
   class="yu.org.goodoldai.air.wb.mdr.core.internals.AirMDRCorePlugin">

   <runtime>
      <library name="airmdrcore.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="yu.org.goodoldai.air.wb.core"/>
      <import plugin="yu.org.goodoldai.air.core"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.gef"/>
   </requires>


   <extension-point id="listeners" name="Repository Listeners" schema="schema/listeners.exsd"/>
   <extension-point id="adaptables" name="Adaptables Registrator" schema="schema/adaptables.exsd"/>
   <extension-point id="adapters" name="Adapters Registrator" schema="schema/adapters.exsd"/>

   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%airMDRPreferencePageName"
            category="yu.org.goodoldai.air.wb.core.preferences.AirPreferencePage"
            class="yu.org.goodoldai.air.wb.mdr.core.internals.preference.AirMDRCorePreferencePage"
            id="yu.org.goodoldai.air.wb.mdr.core.internals.AirMDRCorePreferencePage">
      </page>
   </extension>
   <extension
         point="yu.org.goodoldai.air.wb.mdr.core.adapters">
      <adapters
            class="yu.org.goodoldai.air.wb.mdr.core.internals.registrator.AdaptersRegistrator">
      </adapters>
   </extension>
   <extension
         point="yu.org.goodoldai.air.wb.mdr.core.adaptables">
      <adaptables
            factoryId="yu.org.goodoldai.air.wb.mdr.core.adaptable.classcentric"
            class="yu.org.goodoldai.air.wb.mdr.core.internals.registrator.ClasscentricRegistrator">
      </adaptables>
      <adaptables
            factoryId="yu.org.goodoldai.air.wb.mdr.core.adaptable.typecentric"
            class="yu.org.goodoldai.air.wb.mdr.core.internals.registrator.TypecentricRegistrator">
      </adaptables>
      <adaptables
            factoryId="yu.org.goodoldai.air.wb.mdr.core.adaptable.modelcentric"
            class="yu.org.goodoldai.air.wb.mdr.core.internals.registrator.ModelcentricRegistrator">
      </adaptables>
      <adaptables
            factoryId="yu.org.goodoldai.air.wb.mdr.core.adaptable.classcentric"
            class="yu.org.goodoldai.air.wb.mdr.core.internals.registrator.ModelcentricRegistrator">
      </adaptables>
   </extension>

</plugin>
